package logic

type ApplyVariety struct {
	Name   string `json:"name" description:"品种名称"`
	PicUrl string `json:"pic_url" description:"品种图片"`
}

// GetApplyVarietyList 获取所有可以申请的品种权限
func GetApplyVarietyList() (list []ApplyVariety) {
	list = append(list, ApplyVariety{Name: "宏观经济", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/宏观经济.png"})
	list = append(list, ApplyVariety{Name: "利率债", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/利率债.png"})
	list = append(list, ApplyVariety{Name: "钢材", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/钢材.png"})
	list = append(list, ApplyVariety{Name: "铁矿", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/铁矿.png"})
	list = append(list, ApplyVariety{Name: "双焦(焦煤、焦炭)", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/双焦(焦煤、焦炭).png"})
	list = append(list, ApplyVariety{Name: "有色(锌、铅)", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/有色(锌、铅).png"})
	list = append(list, ApplyVariety{Name: "有色(铜、铝)", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/有色(铜、铝).png"})
	list = append(list, ApplyVariety{Name: "镍+不锈钢", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/镍2不锈钢.png"})
	list = append(list, ApplyVariety{Name: "原油", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/原油.png"})
	list = append(list, ApplyVariety{Name: "聚烯烃", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/聚烯烃.png"})
	list = append(list, ApplyVariety{Name: "苯乙烯", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/苯乙烯.png"})
	list = append(list, ApplyVariety{Name: "甲醇", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/甲醇.png"})
	list = append(list, ApplyVariety{Name: "玻璃纯碱", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/玻璃纯碱.png"})
	list = append(list, ApplyVariety{Name: "橡胶", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/橡胶.png"})
	list = append(list, ApplyVariety{Name: "聚酯", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/聚酯.png"})
	list = append(list, ApplyVariety{Name: "PTA", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/PTA.png"})
	list = append(list, ApplyVariety{Name: "MEG", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/MEG.png"})
	list = append(list, ApplyVariety{Name: "沥青", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/沥青.png"})
	list = append(list, ApplyVariety{Name: "织造终端", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/织造终端.png"})
	list = append(list, ApplyVariety{Name: "市场策略", PicUrl: "http://hongze.oss-cn-shanghai.aliyuncs.com/static/yb_variety/市场策略.png"})
	return
}
